Index: src/Parameters/unittests/ContinuousValueTest.cpp
===================================================================
--- src/Parameters/unittests/ContinuousValueTest.cpp	(revision 6c05d817fc0f2e2fa58400ee20244edbcaeea3f0)
+++ src/Parameters/unittests/ContinuousValueTest.cpp	(revision e45c1db4f33537aab8e2a1b4716c0deefcc700ec)
@@ -113,15 +113,11 @@
     test.set(4);
     CPPUNIT_ASSERT_EQUAL(true, test.ValueSet);
-#ifndef NDEBUG
     std::cout << "The following Assert failures are intended and do not indicate a failure of the test." << std::endl;
-    CPPUNIT_ASSERT_THROW(test.setValidRange(range<int>(1,3)), Assert::AssertionFailure);
-#else
-    test.setValidRange(range<int>(1,3));
-#endif
-#ifndef NDEBUG
+    CPPUNIT_ASSERT_THROW(test.setValidRange(range<int>(1,3)), ParameterValueException);
+
     // no value is not set
     std::cout << "The following Assert failures are intended and do not indicate a failure of the test." << std::endl;
-    CPPUNIT_ASSERT_THROW(test.get(), Assert::AssertionFailure);
-#endif
+    CPPUNIT_ASSERT_THROW(test.get(), ParameterValueException);
+
     // value gets invalidated in either case
     CPPUNIT_ASSERT_EQUAL(false, test.ValueSet);
@@ -137,19 +133,13 @@
   Value<int> test(*ValidIntRange);
 
-  // unset calling of get, throws
-#ifndef NDEBUG
-  std::cout << "The following Assert failures are intended and do not indicate a failure of the test." << std::endl;
-  CPPUNIT_ASSERT_THROW(test.getAsString(), Assert::AssertionFailure);
-#endif
-
-  // setting invalid, throws
-#ifndef NDEBUG
-  std::cout << "The following Assert failures are intended and do not indicate a failure of the test." << std::endl;
-  CPPUNIT_ASSERT_THROW(test.setAsString(toString(5)), Assert::AssertionFailure);
-#endif
-#ifndef NDEBUG
-  std::cout << "The following Assert failures are intended and do not indicate a failure of the test." << std::endl;
-  CPPUNIT_ASSERT_THROW(test.setAsString(toString(0)), Assert::AssertionFailure);
-#endif
+  // unset calling of get, throws ParameterValueException
+  std::cout << "The following Assert failures are intended and do not indicate a failure of the test." << std::endl;
+  CPPUNIT_ASSERT_THROW(test.getAsString(), ParameterValueException);
+
+  // setting invalid, throws ParameterValueException
+  std::cout << "The following Assert failures are intended and do not indicate a failure of the test." << std::endl;
+  CPPUNIT_ASSERT_THROW(test.setAsString(toString(5)), ParameterValueException);
+  std::cout << "The following Assert failures are intended and do not indicate a failure of the test." << std::endl;
+  CPPUNIT_ASSERT_THROW(test.setAsString(toString(0)), ParameterValueException);
 
   CPPUNIT_ASSERT_EQUAL(false, test.ValueSet);
@@ -170,19 +160,13 @@
   Value<int> test(*ValidIntRange);
 
-  // unset calling of get, throws
-#ifndef NDEBUG
-  std::cout << "The following Assert failures are intended and do not indicate a failure of the test." << std::endl;
-  CPPUNIT_ASSERT_THROW(test.get(), Assert::AssertionFailure);
-#endif
-
-  // setting invalid, throws
-#ifndef NDEBUG
-  std::cout << "The following Assert failures are intended and do not indicate a failure of the test." << std::endl;
-  CPPUNIT_ASSERT_THROW(test.set(5), Assert::AssertionFailure);
-#endif
-#ifndef NDEBUG
-  std::cout << "The following Assert failures are intended and do not indicate a failure of the test." << std::endl;
-  CPPUNIT_ASSERT_THROW(test.set(0), Assert::AssertionFailure);
-#endif
+  // unset calling of get, throws ParameterValueException
+  std::cout << "The following Assert failures are intended and do not indicate a failure of the test." << std::endl;
+  CPPUNIT_ASSERT_THROW(test.get(), ParameterValueException);
+
+  // setting invalid, throws ParameterValueException
+  std::cout << "The following Assert failures are intended and do not indicate a failure of the test." << std::endl;
+  CPPUNIT_ASSERT_THROW(test.set(5), ParameterValueException);
+  std::cout << "The following Assert failures are intended and do not indicate a failure of the test." << std::endl;
+  CPPUNIT_ASSERT_THROW(test.set(0), ParameterValueException);
 
   // checking all valid ones
@@ -331,15 +315,11 @@
     test.set(Vector(4,4,4));
     CPPUNIT_ASSERT_EQUAL(true, test.ValueSet);
-#ifndef NDEBUG
     std::cout << "The following Assert failures are intended and do not indicate a failure of the test." << std::endl;
-    CPPUNIT_ASSERT_THROW(test.setValidRange(range<Vector>(Vector(1,1,1),Vector(3,3,3))), Assert::AssertionFailure);
-#else
-    test.setValidRange(range<Vector>(Vector(1,1,1),Vector(3,3,3)));
-#endif
-#ifndef NDEBUG
+    CPPUNIT_ASSERT_THROW(test.setValidRange(range<Vector>(Vector(1,1,1),Vector(3,3,3))), ParameterValueException);
+
     // no value is not set
     std::cout << "The following Assert failures are intended and do not indicate a failure of the test." << std::endl;
-    CPPUNIT_ASSERT_THROW(test.get(), Assert::AssertionFailure);
-#endif
+    CPPUNIT_ASSERT_THROW(test.get(), ParameterException);
+
     // value gets invalidated in either case
     CPPUNIT_ASSERT_EQUAL(false, test.ValueSet);
@@ -390,18 +370,12 @@
 
   // unset calling of get, throws
-#ifndef NDEBUG
-  std::cout << "The following Assert failures are intended and do not indicate a failure of the test." << std::endl;
-  CPPUNIT_ASSERT_THROW(test.get(), Assert::AssertionFailure);
-#endif
+  std::cout << "The following Assert failures are intended and do not indicate a failure of the test." << std::endl;
+  CPPUNIT_ASSERT_THROW(test.get(), ParameterValueException);
 
   // setting invalid, throws
-#ifndef NDEBUG
-  std::cout << "The following Assert failures are intended and do not indicate a failure of the test." << std::endl;
-  CPPUNIT_ASSERT_THROW(test.set(Vector(5,0,0)), Assert::AssertionFailure);
-#endif
-#ifndef NDEBUG
-  std::cout << "The following Assert failures are intended and do not indicate a failure of the test." << std::endl;
-  CPPUNIT_ASSERT_THROW(test.set(Vector(5,20,5)), Assert::AssertionFailure);
-#endif
+  std::cout << "The following Assert failures are intended and do not indicate a failure of the test." << std::endl;
+  CPPUNIT_ASSERT_THROW(test.set(Vector(5,0,0)), ParameterValueException);
+  std::cout << "The following Assert failures are intended and do not indicate a failure of the test." << std::endl;
+  CPPUNIT_ASSERT_THROW(test.set(Vector(5,20,5)), ParameterValueException);
 
   CPPUNIT_ASSERT_EQUAL(false, test.ValueSet);
